org.keycloak.authentication

## Class AuthenticationProviderManager

- java.lang.Object
- - org.keycloak.authentication.AuthenticationProviderManager

-     public class AuthenticationProviderManager
      extends Object

  Access point to authentication SPI. It finds configured and available `AuthenticationProvider` instances for current realm and then delegates method call to them. Example of usage: AuthenticationProviderManager.getManager(realm).validateUser("joe", "password");
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationProviderManager(RealmModel realm, Map<String,AuthenticationProvider> delegates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationProviderModel` | `getConfiguredProviderModel(RealmModel realm, String providerName)`
    `static AuthenticationProviderManager` | `getManager(RealmModel realm, ProviderSession providerSession)`
    `AuthUser` | `getUser(String username)`
    `boolean` | `updatePassword(UserModel user, String password)`
    `AuthProviderStatus` | `validatePassword(UserModel user, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationProviderManager

          public AuthenticationProviderManager(RealmModel realm,
                                       Map<String,AuthenticationProvider> delegates)

  - ### Method Detail

    - #### getManager

          public static AuthenticationProviderManager getManager(RealmModel realm,
                                                 ProviderSession providerSession)

    - #### getUser

          public AuthUser getUser(String username)

    - #### validatePassword

          public AuthProviderStatus validatePassword(UserModel user,
                                            String password)

    - #### updatePassword

          public boolean updatePassword(UserModel user,
                               String password)
                                 throws AuthenticationProviderException

      Throws:
        `AuthenticationProviderException`

    - #### getConfiguredProviderModel

          public static AuthenticationProviderModel getConfiguredProviderModel(RealmModel realm,
                                                               String providerName)

Copyright © 2014. All Rights Reserved.